divert(-1)
# AnotherLevelUp/fvwm2rc.comp.xbiff.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2001, 2002 and Red Hat Software, Inc
divert

changecom(%%%)
# First the default setting:
define(`XBIFFPROG', `xbiff')

# Now the choice of the user, if it exists
readFile(`scripts_XbiffChoice')

# Now the associated options:
ifelse(XBIFFPROG, `xbiff', `
define(`XBIFFNAME', `xbiff')
define(`XBIFFGEOMETRY', 47x42-NEXTTOPSCREENPOSITION+0)
define(`XBIFFOPTIONS', `-geometry XBIFFGEOMETRY -bg "WINBACK_COLOR" -fg "WINFORE_COLOR" -xrm xbiff*fullPixmap:flagup -xrm xbiff*emptyPixmap:flagdown')
define(`XBIFFWIDTHOVERALL', `55')
')

ifelse(XBIFFPROG, `xmailbox', `
define(`XBIFFNAME', `xmailbox')
define(`XBIFFGEOMETRY', 57x43-NEXTTOPSCREENPOSITION+0)
define(`XBIFFOPTIONS', `-geometry XBIFFGEOMETRY')
define(`XBIFFWIDTHOVERALL', `57')
')

ifelse(XBIFFPROG, `xlbiff', `
define(`XBIFFNAME', `xlbiff')
define(`XBIFFOPTIONS', `-geom +0+0 MAIL_SPOOL_DIR -bg "WINBACK_COLOR" -fg "WINFORE_COLOR" -file MAIL_SPOOL_DIR -scanCommand "frm %s | grep -v \"Mail System Internal Data\" | cat -n | sed \"s,^ *,,\" | sed \"s,	,: ,\" | tail"')
define(`XBIFFWIDTHOVERALL', `0')
')

define(`XBIFF', `XBIFFPROG XBIFFOPTIONS')
changecom(#)

Style "XBIFFNAME" Sticky, CirculateSkip, NoTitle, NoHandles, BorderWidth 4
Style "XBIFFNAME" WindowListSkip
Style xlbiff StickyOnTop
UPDATESTYLESCOMMAND

Protect(`changecom(%%%)')
DestroyFunc ToggleXbiffOn
AddToFunc ToggleXbiffOn
ifelse(XBIFFPROG, `xbiff', `
+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off Wharf"
')
+ "I"	Exec ANOTHERLEVEL/bin/kill-all-proc XBIFFPROG; exec XBIFF
Protect(`changecom(#)')

DestroyFunc ToggleXbiffOff
AddToFunc ToggleXbiffOff
+ "I"	Exec ANOTHERLEVEL/bin/kill-all-proc XBIFFPROG

DestroyMenu XbiffMenu
AddToMenu XbiffMenu "Xbiff" Title
+ "&Start / stop Xbiff" Popup ToggleXbiff
+ "&Configure Xbiff" FvwmScript XbiffChoice

Protect(`
define(`NEXTTOPSCREENPOSITION', eval(NEXTTOPSCREENPOSITION') + XBIFFWIDTHOVERALL))

Protect(`
define(`COMP_XBIFF_MENU_ENTRY', `Popup XbiffMenu')
')

Protect(`define(`XBIFFPROG', ')XBIFFPROG)
Protect(`define(`XBIFFNAME', ')XBIFFNAME)
