divert(-1)
# AnotherLevelUp/fvwm2rc.menus.preferences.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999, 2000, 2001, 2002 and Red Hat Software, Inc
divert

TraceForErrors(`Preferences menu...')

AddToMenu Background "Set Root Background" Title
+ "&Static (solid, mixture or image; and frame colour) MiniTitleIcon(rainbow)" FvwmScript ScreenSetup
changecom(%%%)
+ "&Moving (xlock running on root window) MiniTitleIcon(hextris)" PipeRead "ANOTHERLEVEL/bin/xlock MovingBackground \"BG_MOVING\" \"RH5\" NICELEVEL \"BG_COLOR\" \"FG_COLOR\" \"FORM_FONT\" \"FORM_INPUTFONT\" \"FORM_FORE\" \"FORM_BACK\" \"FORM_ITEMFORE\" \"FORM_ITEMBACK\" \"FM_MODE\" \"BG_BITMAP\" \"USER_PREFS_DIR\""
changecom(#)
+ "&XSnow (with or without santa) MiniTitleIcon(xsnow)" FvwmScript XSnow
+ "X&Eyes (eyes that follow the mouse) MiniTitleIcon(eyes)" FvwmScript XEyes
+ "XE&arth (earth seen from space) MiniTitleIcon(clock)" FvwmScript XEarth

# ???? Audio is yet to be sorted out!
#AddToMenu AudioSettings "Audio Settings" Title
#+ "&On" Module FvwmAudio
#+ "O&ff" KillModule FvwmAudio
##+ "Event mapping" FvwmForm AudioEvents

ifelse(PLANES, `8', `',`
syscmd(display -window root ANOTHERLEVEL/init-screen-picture-4.jpeg)
')

readFile(`fvwm2rc.storedprefs')

ifelse(PLANES, `8', `',`
syscmd(display -window root ANOTHERLEVEL/init-screen-picture-5.jpeg)
')

AddToMenu Preferences "Preferences" Title
AddNewMenuAndButtonBar(Preferences, "Preferences Button Panel MiniTitleIcon(buttons)")

AddToMenu Preferences "All Menu &Button Panels" Popup AllMenuButtonsMenu

AddToMenu AllMenuButtonsMenu "Menu Button Panels" Title
AddToMenu AllMenuButtonsMenu "&All Menu Button Panels MiniTitleIcon(buttons)" Popup ToggleAllMenuButtons
AddToMenu AllMenuButtonsMenu "&Main Menu Button Panel MiniTitleIcon(buttons)" Popup ToggleStartMenuButtons
AddToMenu AllMenuButtonsMenu "&Preferences Button Panel MiniTitleIcon(buttons)" Popup TogglePreferencesButtons
AddToMenu AllMenuButtonsMenu "&Feel Settings Button Panel MiniTitleIcon(buttons)" Popup ToggleFeelSettingsButtons
AddToMenu AllMenuButtonsMenu "&Desktop Utilities Button Panel MiniTitleIcon(buttons)" Popup ToggleDesktopUtilitiesButtons
AddToMenu AllMenuButtonsMenu "S&ystem Utilities Button Panel MiniTitleIcon(buttons)" Popup ToggleSystemUtilitiesButtons
AddToMenu AllMenuButtonsMenu "&Window Operations Button Panel MiniTitleIcon(buttons)" Popup ToggleWindow-OpsButtons

ifelse(WM_STYLE, `FVWM95', `
MenuAndButtonEntryLM(Stored &Preferences/Themes, turn, turn, Popup StoredPreferences)
')

ifelse(SCREEN_SIZE, `Huge', `
MenuAndButtonEntryLM(&Initial Windows,windows,windows,FvwmScript InitialWindowsSetUp)
', `
MenuAndButtonEntryLM(&Initial Netscape,nscape,,FvwmScript InitialWindowsSetUpSmall)
')

MenuAndButtonEntryLM(&Editor Choice,edit,edit,FvwmScript EditorChoice)

ifelse(WM_STYLE, `FVWM95', `
MenuAndButtonEntryLM(&Look (theme) settings,colors,,Popup LookSettingsMenu)

AddToMenu LookSettingsMenu "Look (theme) settings" Title
+ "&Screen Background MiniTitleIcon(colors)" Popup Background
+ "Window and Menu &Decorations MiniTitleIcon(window)" FvwmScript WindowDecorations
+ "Window &Buttons MiniTitleIcon(xjewel)" FvwmScript WindowButtons
+ "&XTerm Preferences MiniTitleIcon(term)" FvwmScript Xresources_XTerm
ifdef(`COMP_ROOTCURSOR_MENU_ENTRY',
`+ "&Root Cursor MiniTitleIcon(cross)" COMP_ROOTCURSOR_MENU_ENTRY')
', `
ifdef(`COMP_ROOTCURSOR_MENU_ENTRY',
`MenuAndButtonEntryLM(&Root Cursor,cross,,COMP_ROOTCURSOR_MENU_ENTRY)')
')

MenuAndButtonEntryLM(&Feel settings,hand,,Popup FeelSettings)
