divert(-1)
# AnotherLevelUp/fvwm2rc.comp.bellpitch.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2002 and Red Hat Software, Inc
divert


define(`BELL_PITCH', `on')
readFile(`menu_BellPitch')
Exec xset b BELL_PITCH

DestroyFunc BellPitch
AddToFunc BellPitch
+ "I" PipeRead "xset b $0"
+ "I" Exec `echo "define(\`BELL_PITCH', '$0`)" > 'USER_PREFS_DIR`/menu_BellPitch'
+ "I" Beep
+ "I" Menu BellPitchSettings Root c c Fixed

DestroyMenu BellPitchSettings
AddToMenu BellPitchSettings "Bell Pitch" Title
+ "&Standard / Default MiniTitleIcon(audiovol)"    BellPitch "on"
+ "&None / Off"                                    BellPitch "off"
+ "MULTI_HKEY`'C (131Hz) MiniTitleIcon(audiovol)"  BellPitch "50 131"
+ "MULTI_HKEY`'D (147Hz) MiniTitleIcon(audiovol)"  BellPitch "50 147"
+ "MULTI_HKEY`'E (165Hz) MiniTitleIcon(audiovol)"  BellPitch "50 165"
+ "MULTI_HKEY`'F (175Hz) MiniTitleIcon(audiovol)"  BellPitch "50 175"
+ "MULTI_HKEY`'G (196Hz) MiniTitleIcon(audiovol)"  BellPitch "50 196"
+ "MULTI_HKEY`'A (220Hz) MiniTitleIcon(audiovol)"  BellPitch "50 220"
+ "MULTI_HKEY`'B (247Hz) MiniTitleIcon(audiovol)"  BellPitch "50 247"
+ "&C (262Hz) MiniTitleIcon(audiovol)"             BellPitch "50 262"
+ "&D (294Hz) MiniTitleIcon(audiovol)"             BellPitch "50 294"
+ "&E (330Hz) MiniTitleIcon(audiovol)"             BellPitch "50 330"
+ "&F (350Hz) MiniTitleIcon(audiovol)"             BellPitch "50 350"
+ "&G (392Hz) MiniTitleIcon(audiovol)"             BellPitch "50 392"
+ "&A (440Hz) MiniTitleIcon(audiovol)"             BellPitch "50 440"
+ "&B (494Hz) MiniTitleIcon(audiovol)"             BellPitch "50 494"
+ "MULTI_HKEY`'C (523Hz) MiniTitleIcon(audiovol)"  BellPitch "50 523"
+ "MULTI_HKEY`'D (587Hz) MiniTitleIcon(audiovol)"  BellPitch "50 587"
+ "MULTI_HKEY`'E (659Hz) MiniTitleIcon(audiovol)"  BellPitch "50 659"
+ "MULTI_HKEY`'F (698Hz) MiniTitleIcon(audiovol)"  BellPitch "50 698"
+ "MULTI_HKEY`'G (784Hz) MiniTitleIcon(audiovol)"  BellPitch "50 784"
+ "MULTI_HKEY`'A (880Hz) MiniTitleIcon(audiovol)"  BellPitch "50 880"
+ "MULTI_HKEY`'B (988Hz) MiniTitleIcon(audiovol)"  BellPitch "50 988"
+ "MULTI_HKEY`'C (1047Hz) MiniTitleIcon(audiovol)" BellPitch "50 1047"
+ "MULTI_HKEY`'D (1175Hz) MiniTitleIcon(audiovol)" BellPitch "50 1175"
+ "MULTI_HKEY`'E (1319Hz) MiniTitleIcon(audiovol)" BellPitch "50 1319"
+ "MULTI_HKEY`'F (1397Hz) MiniTitleIcon(audiovol)" BellPitch "50 1397"
+ "MULTI_HKEY`'G (1568Hz) MiniTitleIcon(audiovol)" BellPitch "50 1568"
+ "MULTI_HKEY`'A (1760Hz) MiniTitleIcon(audiovol)" BellPitch "50 1760"
+ "MULTI_HKEY`'B (1976Hz) MiniTitleIcon(audiovol)" BellPitch "50 1976"
+ "MULTI_HKEY`'C (2093Hz) MiniTitleIcon(audiovol)" BellPitch "50 2093"
+ "&Okay MiniTitleIcon(happy)"                     Nop

define(`COMP_BELLPITCH_MENU_ENTRY', `Popup BellPitchSettings')
