divert(-1)
# AnotherLevelUp/fvwm2rc.comp.xclock.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 2001, 2002 and Red Hat Software, Inc
divert

define(`XCLOCKPROG', `xclock-analogue')
define(`XCLOCKBIGGEOMETRYXclockAnalogue', `250x250-NEXTTOPSCREENPOSITION+0')
define(`XCLOCKBIGGEOMETRYXclockDigital', `180x46-NEXTTOPSCREENPOSITION+0')
define(`XCLOCKBIGGEOMETRYXdaliclock', `500x150-NEXTTOPSCREENPOSITION+0')
define(`XCLOCKBIGGEOMETRYAstime', `250x250-NEXTTOPSCREENPOSITION+0')
define(`XCLOCKBIGGEOMETRYRclock', `250x250-NEXTTOPSCREENPOSITION+0')

readFile(`scripts_XclockChoice')
ifelse(XCLOCKPROG, `', `define(`XCLOCKPROG', `xclock-analogue')')

ifelse(XCLOCKPROG, `xclock-analogue', `
define(`XCLOCKPROG', `xclock')
define(`XCLOCKNAME', `xclock')
define(`XCLOCKWIDTH', `46')
define(`XCLOCKSMALLGEOMETRY', `+0+0')
define(`XCLOCKBIGGEOMETRY', XCLOCKBIGGEOMETRYXclockAnalogue)
define(`XCLOCKSMALLOPTIONS', `-padding 0 -bg "WINBACK_COLOR" -fg "WINFORE_COLOR" -hd "WINFORE_COLOR" -hl "WINFORE_COLOR"')
define(`XCLOCKBIGOPTIONS', `XCLOCKSMALLOPTIONS')
define(`XCLOCKWIDTHOVERALL', `60')
')

ifelse(XCLOCKPROG, `xclock-digital', `
define(`XCLOCKPROG', `xclock')
define(`XCLOCKNAME', `xclock')
define(`XCLOCKWIDTH', `180')
define(`XCLOCKSMALLGEOMETRY', `+0+0')
define(`XCLOCKBIGGEOMETRY', XCLOCKBIGGEOMETRYXclockDigital)
define(`XCLOCKSMALLOPTIONS', `-d -padding 0 -bg "WINBACK_COLOR" -fg "WINFORE_COLOR"')
define(`XCLOCKBIGOPTIONS', `XCLOCKSMALLOPTIONS')
define(`XCLOCKWIDTHOVERALL', `190')
')

ifelse(XCLOCKPROG, `xdaliclock', `
define(`XCLOCKNAME', `xdaliclock')
define(`XCLOCKWIDTH', `130')
define(`XCLOCKSMALLGEOMETRY', `+0+0')
define(`XCLOCKBIGGEOMETRY', XCLOCKBIGGEOMETRYXdaliclock)
define(`XCLOCKBIGOPTIONS',   `-24 -bg "WINBACK_COLOR" -fg "WINFORE_COLOR"')
define(`XCLOCKSMALLOPTIONS', `XCLOCKBIGOPTIONS -24 -font -*-times-*-r-*--24-*')
define(`XCLOCKWIDTHOVERALL', `140')
')

ifelse(XCLOCKPROG, `astime', `
define(`XCLOCKNAME', `astime')
define(`XCLOCKWIDTH', `56')
define(`XCLOCKSMALLGEOMETRY', XCLOCKWIDTH`x43+0+0')
define(`XCLOCKBIGGEOMETRY', XCLOCKBIGGEOMETRYAstime)
define(`XCLOCKSMALLOPTIONS', `-bg "WINBACK_COLOR" -fg "WINFORE_COLOR" -hour "WINFORE_COLOR" -min "WINFORE_COLOR" -sec "WINFORE_COLOR" -day "WINFORE_COLOR" -ampm "WINFORE_COLOR" -date "WINFORE_COLOR"')
define(`XCLOCKBIGOPTIONS', `XCLOCKSMALLOPTIONS')
define(`XCLOCKWIDTHOVERALL', `72')
')

ifelse(XCLOCKPROG, `rclock', `
define(`XCLOCKNAME', `rclock')
define(`XCLOCKWIDTH', `50')
define(`XCLOCKSMALLGEOMETRY', `+0+0')
define(`XCLOCKBIGGEOMETRY', XCLOCKBIGGEOMETRYRclock)
define(`XCLOCKSMALLOPTIONS', `-bg "WINBACK_COLOR" -fg "WINFORE_COLOR" -update 1')
define(`XCLOCKBIGOPTIONS', `XCLOCKSMALLOPTIONS')
define(`XCLOCKWIDTHOVERALL', `60')
')

DestroyFunc ToggleXclockOn
AddToFunc ToggleXclockOn
ifelse(XCLOCKPROG, `xclock',
`+ "I"	PipeRead "ANOTHERLEVEL/bin/toggle-functions -off Wharf"')
+ "I"	PipeRead "ANOTHERLEVEL/bin/kill-all-proc XCLOCKPROG"
+ "I"	module FvwmButtons ClockSmall

DestroyFunc ToggleXclockOff
AddToFunc ToggleXclockOff
+ "I"   KILLBUTTONS(ClockSmall)
+ "I"   PipeRead "ANOTHERLEVEL/bin/kill-all-proc XCLOCKPROG"

Protect(`changecom(%%%)')
changequote([,])
DestroyModuleConfig ClockSmall*
*ClockSmallBack WINBACK_COLOR
*ClockSmallFore WINFORE_COLOR
*ClockSmallGeometry -NEXTTOPSCREENPOSITION+0
*ClockSmallRows 1
ifdef([XCLOCKBIGOPTIONS], [*ClockSmall(NoSize, Padding 0 0, Action Exec "XCLOCKPROG" XCLOCKPROG XCLOCKBIGOPTIONS -geometry XCLOCKBIGGEOMETRY, Title "+")])
*ClockSmall(eval(XCLOCKWIDTH / 10)x1, Size XCLOCKWIDTH 46, Swallow (Hints, Kill) XCLOCKNAME 'Exec XCLOCKPROG -geometry XCLOCKSMALLGEOMETRY XCLOCKSMALLOPTIONS 2>/dev/null')
changequote(`,')
Protect(`changecom(#)')

Style ClockSmall Sticky, WinCircSkip, NoTitle, NoHandles, BorderWidth 0
Style "XCLOCKPROG" MiniIcon mini-clock.xpm

DestroyMenu XclockMenu
AddToMenu XclockMenu "X Clock" Title
+ "&Start / stop X Clock" Popup ToggleXclock
+ "&Configure X Clock" FvwmScript XclockChoice

Protect(`
define(`NEXTTOPSCREENPOSITION', eval(NEXTTOPSCREENPOSITION') + XCLOCKWIDTHOVERALL))

Protect(`
define(`COMP_XCLOCK_MENU_ENTRY', `Popup XclockMenu')
')

Protect(`define(`XCLOCKPROG', ')XCLOCKPROG)
