divert(-1)
# AnotherLevelUp/fvwm2rc.hostvariants.m4
#
# AnotherLevelUp is an fvwm2 configuration package.
# It is based on Red Hat's AnotherLevel.

# AnotherLevelUp started life as a copy of AnotherLevel-0.6.8-2 (default
# in the RH5.1 distribution). Original Red Hat time stamps have been
# updated as later releases of AnotherLevel have been `assimilated' (!) into
# AnotherLevelUp.

# Author John Latham, Dept. CS, University of Manchester, UK
# Email jtl@cs.man.ac.uk
# Licence: GPL
# Copyright (C) John Latham 1999 and Red Hat Software, Inc


# This file is new to AnotherLevelUp. It's purpose is to link the HOSTNAME to
# the HOSTVARIANT -- to enable host dependent variation in the caching of the
# M4 files. This file is paired with fvwm2rc.hostspecific.m4, which is where
# the details of the host dependent variations are defined.

# Site dependent variations can be defined in fvwm2rc.hostspecific.m4 without
# the need for any host dependent variations defined here. But if you have
# any variations within your site which are dependent on hostname, then you
# must define a variant name for each variation here. It is sufficient, for
# example, to have one unamed variation (the default) and one or more named
# ones.

# If you have very many variations, it may be simpler to switch off caching
# so that the M4 files are always generated from scratch on start up.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

##############################################################################
# This file is m4-included by fvwm2rc.m4
##############################################################################

# Caching of the M4 file results is enabled by default. If you have many
# host dependent variations, you should probably disable caching by commenting
# out the next line.

define(`ENABLE_CACHE')

# Or, here you should define a name for HOSTVARIANT for each of your host
# dependent variations. This should just be an alphanumeric name. If you have
# no variation you can leave it empty. Or you can use the empty string as your
# default and have one or more other names for particular host names.

define(`HOSTVARIANT', `')

# E.g. the following code is specific to Manchester CS. It defines a variant
# for all hosts that match the string eng[0-9][0-9][0-9]

#ifelse(regexp(HOSTNAME, `eng[0-9][0-9][0-9]'), 0, `
#define(`HOSTVARIANT', `EngineeringLab')
#')
divert
